Open CASCADE Technology: IntWalk_TheInt2S Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntWalk_TheInt2S Class Reference

`#include <IntWalk_TheInt2S.hxx>`

## Public Member Functions
| IntWalk_TheInt2S ()
| IntWalk_TheInt2S (const TColStd_Array1OfReal &Param, const Handle< Adaptor3d_HSurface > &S1, const Handle< Adaptor3d_HSurface > &S2, const Standard_Real TolTangency)
| IntWalk_TheInt2S (const Handle< Adaptor3d_HSurface > &S1, const Handle< Adaptor3d_HSurface > &S2, const Standard_Real TolTangency)
IntImp_ConstIsoparametric | Perform (const TColStd_Array1OfReal &Param, math_FunctionSetRoot &Rsnld)
IntImp_ConstIsoparametric | Perform (const TColStd_Array1OfReal &Param, math_FunctionSetRoot &Rsnld, const IntImp_ConstIsoparametric ChoixIso)
Standard_Boolean | IsDone () const
Standard_Boolean | IsEmpty () const
const IntSurf_PntOn2S & | Point () const
Standard_Boolean | IsTangent () const
const gp_Dir & | Direction () const
const gp_Dir2d & | DirectionOnS1 () const
const gp_Dir2d & | DirectionOnS2 () const
IntWalk_TheFunctionOfTheInt2S & | Function ()
IntSurf_PntOn2S & | ChangePoint ()

## Constructor & Destructor Documentation

IntWalk_TheInt2S::IntWalk_TheInt2S | ( |  | ) |

IntWalk_TheInt2S::IntWalk_TheInt2S | ( | const TColStd_Array1OfReal & | Param,
|  | const Handle< Adaptor3d_HSurface > & | S1,
|  | const Handle< Adaptor3d_HSurface > & | S2,
|  | const Standard_Real | TolTangency
| ) |  |

IntWalk_TheInt2S::IntWalk_TheInt2S | ( | const Handle< Adaptor3d_HSurface > & | S1,
|  | const Handle< Adaptor3d_HSurface > & | S2,
|  | const Standard_Real | TolTangency
| ) |  |

## Member Function Documentation

IntSurf_PntOn2S& IntWalk_TheInt2S::ChangePoint | ( |  | ) |

const gp_Dir& IntWalk_TheInt2S::Direction | ( |  | ) | const

const gp_Dir2d& IntWalk_TheInt2S::DirectionOnS1 | ( |  | ) | const

const gp_Dir2d& IntWalk_TheInt2S::DirectionOnS2 | ( |  | ) | const

IntWalk_TheFunctionOfTheInt2S& IntWalk_TheInt2S::Function | ( |  | ) |

Standard_Boolean IntWalk_TheInt2S::IsDone | ( |  | ) | const

Standard_Boolean IntWalk_TheInt2S::IsEmpty | ( |  | ) | const

Standard_Boolean IntWalk_TheInt2S::IsTangent | ( |  | ) | const

IntImp_ConstIsoparametric IntWalk_TheInt2S::Perform | ( | const TColStd_Array1OfReal & | Param,
|  | math_FunctionSetRoot & | Rsnld
| ) |  |

IntImp_ConstIsoparametric IntWalk_TheInt2S::Perform | ( | const TColStd_Array1OfReal & | Param,
|  | math_FunctionSetRoot & | Rsnld,
|  | const IntImp_ConstIsoparametric | ChoixIso
| ) |  |

const IntSurf_PntOn2S& IntWalk_TheInt2S::Point | ( |  | ) | const

The documentation for this class was generated from the following file:

- IntWalk_TheInt2S.hxx